/*!
 * @package      Yj Accordion Newsflash v2.1.0
 * @copyright    Copyright(C) since 2007  Youjoomla.com. All Rights Reserved.
 * @author       YouJoomla
 * @license      http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 * @websites     http://www.youjoomla.com | http://www.yjsimplegrid.com
 */
(function($) {
	'use strict';
    $.accordionnf = function(element, options) {

        var defaults = {
            action: 'click',
            toogler: '.toggler',
            content: '.content',
            firsttoshow: 0,
            closeall: 1, // 1 =  dont close all | 2 ==  close all on load
            opacity: 1, // 1 = no opacity | 2 = opacity
			duration: 1000
        }

        var plugin = this;

        plugin.settings = {}

        var $element = $(element),
            element = element;

        plugin.init = function() {
            plugin.settings = $.extend({}, defaults, options);

            runaccordion();
        }

        var runaccordion = function() {

            var self = this;

            $(plugin.settings.toogler).toggleClass('inactive-header');

            if (plugin.settings.closeall == 1) {
                $(plugin.settings.toogler).eq(plugin.settings.firsttoshow).toggleClass('active-header').toggleClass('inactive-header');

                $(plugin.settings.content).eq(plugin.settings.firsttoshow).toggleClass('open-content');
                setanimation($(plugin.settings.content).eq(plugin.settings.firsttoshow));

            }

            $(plugin.settings.toogler).on(plugin.settings.action, function() {

                var opentoglers = $(this).parent().find('.active-header');

                if ($(this).is('.inactive-header')) {

                    opentoglers.toggleClass('active-header').toggleClass('inactive-header').next(plugin.settings.content).toggleClass('open-content');
                    setanimation(opentoglers.next(plugin.settings.content));

                    $(this).toggleClass('active-header').toggleClass('inactive-header');

                    $(this).next(plugin.settings.content).toggleClass('open-content');
                    setanimation($(this).next(plugin.settings.content));

                } else {

                    $(this).toggleClass('active-header').toggleClass('inactive-header');

                    $(this).next(plugin.settings.content).toggleClass('open-content');
                    setanimation($(this).next(plugin.settings.content));
                }

            });

            return false;
        }

        var setanimation = function(element) {

            if (plugin.settings.opacity == 1) {

                $(element).slideToggle(plugin.settings.duration);

            } else {

                $(element).animate({
                    height: "toggle",
                    opacity: "toggle"
                }, plugin.settings.duration);

            }
        }

        plugin.init();

    }

    $.fn.accordionnf = function(options) {

        return this.each(function() {
            if (undefined == $(this).data('accordionnf')) {
                var plugin = new $.accordionnf(this, options);
                $(this).data('accordionnf', plugin);
            }
        });

    }

})(jQuery);